"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.UIBuildCmd = void 0;
function _exceptions() {
  const data = require("./exceptions");
  _exceptions = function () {
    return data;
  };
  return data;
}
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _toPropertyKey(arg) { var key = _toPrimitive(arg, "string"); return typeof key === "symbol" ? key : String(key); }
function _toPrimitive(input, hint) { if (typeof input !== "object" || input === null) return input; var prim = input[Symbol.toPrimitive]; if (prim !== undefined) { var res = prim.call(input, hint || "default"); if (typeof res !== "object") return res; throw new TypeError("@@toPrimitive must return a primitive value."); } return (hint === "string" ? String : Number)(input); }
class UIBuildCmd {
  constructor(
  /**
   * access to the extension instance.
   */
  ui) {
    this.ui = ui;
    _defineProperty(this, "name", 'ui-build [type]');
    _defineProperty(this, "description", 'build production assets for deployment.');
    _defineProperty(this, "alias", 'c');
    _defineProperty(this, "group", 'development');
    _defineProperty(this, "options", []);
    _defineProperty(this, "private", true);
  }
  async report([type]) {
    // teambit.workspace/variants should be the one to take care of component patterns.
    const stats = await this.ui.build(type);
    if (!stats) throw new (_exceptions().UnknownBuildError)();
    return stats.toString();
  }
}
exports.UIBuildCmd = UIBuildCmd;

//# sourceMappingURL=ui-build.cmd.js.map